Skip to main content
GET
/
api
/
v1
/
collections
/
{id}
/
knowledge-cards
List knowledge cards in a collection
curl --request GET \
  --url https://app.aigmented.com/api/v1/collections/{id}/knowledge-cards \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "collection": {
      "id": 123,
      "name": "<string>",
      "status": "<string>"
    },
    "knowledgeCards": [
      {
        "id": 123,
        "collectionId": 123,
        "title": "<string>",
        "statement": "<string>",
        "verbatimContent": "<string>",
        "knowledgeType": "<string>",
        "importanceScore": 123,
        "createdAt": "2023-11-07T05:31:56Z"
      }
    ],
    "pagination": {
      "page": 123,
      "limit": 123,
      "totalCount": 123,
      "totalPages": 123,
      "hasNextPage": true,
      "hasPreviousPage": true
    },
    "typeCounts": {}
  }
}

Authorizations

Authorization
string
header
required

Pass your API key as a Bearer token. Example: Authorization: Bearer sk-xxxxxxxxxxxx

Path Parameters

id
integer
required

Collection ID

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:50

Results per page (max 100)

Required range: 1 <= x <= 100
type
string

Filter by knowledgeType value

Full-text search across title, statement, and verbatim content

Response

Paginated knowledge cards

success
boolean
data
object